package com.njcn.msgpush.module.system.enums.permission;

import cn.hutool.core.util.StrUtil;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 菜单路由类型枚举
 */
@Getter
@AllArgsConstructor
public enum MenuRouteKindEnum {

    DIR("dir"), // 目录路由
    VIEW("view"), // 普通页面
    SINGLE("single"), // 顶级单页
    IFRAME("iframe"), // iframe 页面
    EXTERNAL("external"), // 外链页面
    REDIRECT("redirect"); // 重定向路由

    /**
     * 路由类型值
     */
    private final String kind;

    public static MenuRouteKindEnum valueOfKind(String kind) {
        if (StrUtil.isBlank(kind)) {
            return null;
        }
        for (MenuRouteKindEnum value : values()) {
            if (StrUtil.equalsIgnoreCase(value.getKind(), StrUtil.trim(kind))) {
                return value;
            }
        }
        return null;
    }

}
